### Function

# WPEJavaScriptCore options_get_range_string

since: 2.24

#### Declaration [src]

    gboolean
    jsc_options_get_range_string (
      const char* option,
      char** value
    )

#### Description [src]

Get `option` as a range string. The string must be in the format [!]<low>[:<high>] where low and high are #guint values. Values between low and high (both included) will be considered in the range, unless ! is used to invert the range.

Available since: 2.24

#### Parameters

`option`

  Type: `const char*`

  The option identifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `char**`

  Return location for the option value.

  The argument will be set by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `value` has been set or `FALSE` if the option doesn’t exist.